package system;



public class AgentManager {

	public static ClientAgent agent;

	public static void setAgent(ClientAgent agent) {
		AgentManager.agent = agent;
	}

	public static ClientAgent getAgent() {
		return agent;
	}

	/**Metoda kończąca byt agent producenckiego.*/
	public static void deleteAgent() {
		System.out.println("deleting myself");
		agent.doDelete();
	}


	

}
